# Interface DirectoryVar

All Superinterfaces:
  `DirectoryProperty, Property<Directory>, PropertyState<Directory>, Provider<Directory>`

@Incubating @Deprecated public interface DirectoryVar extends DirectoryProperty, PropertyState<Directory>
Deprecated.
Use `DirectoryProperty` instead.
Represents some configurable directory location, whose value is mutable and is not necessarily currently known until later.

Note: This interface is not intended for implementation by build script or plugin authors. An instance of this class can be created using the `ProjectLayout.newDirectoryVar()` method.

Since:
  4.1

## Method Summary

### Methods inherited from interface DirectoryProperty

`dir, dir, file, file, getAsFile, getAsFileTree, set`

### Methods inherited from interface Property

`set, set`

### Methods inherited from interface Provider

`get, getOrElse, getOrNull, isPresent, map`